ad_library {
    
    APM callbacks for the Mashups Package
    
    @author Hamilton Chua (ham@solutiongrove.com)
}

namespace eval ::mashups::install {}

ad_proc -public ::mashups::install::after_mount {
    -package_id
    -node_id
} {
	Creates public aggregators to store newsfeeds for the mashups page.
	Creates the xowiki chat object and puts it in an xowiki page

	@author Hamilton Chua
	@return 
	@error 
} {
	set user_id 0

	# create aggregator
	set na_package_id [apm_package_id_from_key "news-aggregator"]
	set public_aggregator_id [news_aggregator::aggregator::new \
			-aggregator_name "Public Mashup Feeds" \
			-package_id $package_id \
			-public_p 0 \
			-creation_user $user_id \
			-creation_ip [ad_conn peeraddr]]
	
	# get the packge id of the xowiki instance
	# set xowiki_package_id [apm_package_id_from_key "xowiki"]
	# get other variables we need	
	# create the chat object
	# create a page with the chat object

}